# QWorld's Basics of Quantum Computing

Our introductory tutorials to introduce the basics of quantum computation and quantum programming. 

We plan to have three sets of tutorials: **Bronze**, **Silver**, and **Gold**. 

## Bronze

Bronze has been used in more than 40 workshops until now ([The updated list of QBronze](http://qworld.lu.lv/index.php/workshop-bronze/#list)) and it content is being updated time to time. 

Bronze is a collection of [Jupyter notebooks](https://jupyter.org/) (around 100 notebooks) using python as the programming language and [Qiskit library](https://qiskit.org) for writing quantum programs. New quantum libraries will be added.

_In Bronze, we focus on real numbers and skip to use complex numbers to keep the tutorial simpler._

Bronze can be used to organize 16-20 hours long workshops or to design a course for the second or third year university students. 

Bronze was created by [Dr. Abuzer Yakaryilmaz](http://abu.lu.lv) ([QLatvia](http://qworld.lu.lv/index.php/qlatvia/)) in October 2018, 
and the most part of it had been developed by him. 
Dr. Maksims Dimitrijevs ([QLatvia](http://qworld.lu.lv/index.php/qlatvia/)) and Dr. Özlem Salehi Köken ([QTurkey](http://qworld.lu.lv/index.php/qturkey/)) also contribued to Bronze by preparing or revising notebooks. 
(Please check the notebook "Credits" for more details.)
Starting from July 7, 2019, Bronze has been on a public gitlab repository and it is expected to have contributions from public as well.


## Silver & Gold

The first draft of Silver is ready. QSilver workshops will start in 2021.


## Installation

After getting a copy of this repo to your local, **read "installation.html" file**. 

#### Can I use Binder?

_You may [launch Bronze in the cloud with binder](https://mybinder.org/v2/gl/qkitchen%2Fbasics-of-quantum-computing/HEAD?urlpath=lab/tree/welcome.ipynb) but **be aware of that**_ 
- _each time a new session is created, which takes some time to be initiated, and all changes are lost when ending the session; and,_
- _the session might be terminated if a new tab is not opened within 10 minutes._
[![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gl/qkitchen%2Fbasics-of-quantum-computing/HEAD?urlpath=lab/tree/welcome.ipynb)

## License

The text and figures are licensed under the Creative Commons Attribution 4.0 International Public License (CC-BY-4.0), available at https://creativecommons.org/licenses/by/4.0/legalcode. 

The code snippets in the notebooks are licensed under Apache License 2.0, available at http://www.apache.org/licenses/LICENSE-2.0.


